[arch-commits] Commit in babl/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Nov 30 14:58:46 EST 2009


    Date: Monday, November 30, 2009 @ 14:58:46
  Author: eric
Revision: 60022

upgpkg: babl 0.1.0-1
    Upstream update, Disabled SMP build

Modified:
  babl/trunk/ChangeLog
  babl/trunk/PKGBUILD

-----------+
 ChangeLog |    7 ++++++-
 PKGBUILD  |   12 ++++++------
 2 files changed, 12 insertions(+), 7 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-11-30 16:42:35 UTC (rev 60021)
+++ ChangeLog	2009-11-30 19:58:46 UTC (rev 60022)
@@ -1,3 +1,9 @@
+2009-11-29  Eric Belanger  <eric at archlinux.org>
+
+	* babl 0.1.0-1
+	* Upstream update
+	* Disabled SMP build
+
 2008-06-16  Eric Belanger  <eric at archlinux.org>
 
 	* babl 0.0.22-1
@@ -7,4 +13,3 @@
 
 	* babl 0.0.20-1
 	* Added to [extra] repo
-

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-30 16:42:35 UTC (rev 60021)
+++ PKGBUILD	2009-11-30 19:58:46 UTC (rev 60022)
@@ -3,21 +3,21 @@
 # Contributor: Charles-Henri d'Adhemar <cdadhemar at gmail.com>
 
 pkgname=babl
-pkgver=0.0.22
+pkgver=0.1.0 
 pkgrel=1
 pkgdesc="Dynamic, any to any, pixel format conversion library"
 arch=('i686' 'x86_64')
 url="http://gegl.org/babl/"
 license=('LGPL3')
 depends=('glibc' )
-options=('!libtool')
+options=('!libtool' '!makeflags')
 source=(ftp://ftp.gtk.org/pub/babl/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('b821ce696b40feb74552da9d666defad')
-sha1sums=('9de50fb5833f41691f50f6e735d6422aad52ea94')
+md5sums=('197133d84fe120ee66c8137dff1696e6')
+sha1sums=('6e95e24c48b8018fefbf8e69ad62f4a4de56640c')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" extdir=/usr/lib/babl-0.0 install || return 1
 }



More information about the arch-commits mailing list